Important Notice

We've been notified of a problem with Mumble client packages 1.2.2 and 1.2.3 released before January 15, 2012. If you try to connect to a server with such a client, you'll receive a message stating "A referral was returned from the server". If you receive this error, download an updated 1.2.3a package. Be sure to uninstall your previous 1.2.3 client before installing the new 1.2.3a client.

You can download the new installer from here: http://sourceforge.net/projects/mumble/files/Mumble/1.2.3a/mumble-1.2.3a.msi/download

For more information, see this post on the official Mumble blog.

Select Your Difficulty

Have more specific needs? No worries – Roll Your Own


Have more specific needs? Purchase a Mumble server by the slot. You can choose exactly what you need, so you don't pay for slots you aren't using.

--
--